org.springframework.data.convert

## Interface EntityConverter<E extends PersistentEntity<?,P>,P extends PersistentProperty<P>,T,S>

Type Parameters:
  `E` - the concrete `PersistentEntity` implementation the converter is based on.
  `P` - the concrete `PersistentProperty` implementation the converter is based on.
  `T` - the most common type the `EntityConverter` can actually convert.
  `S` - the store specific source and sink an `EntityConverter` can deal with.

All Superinterfaces:
  EntityReader<T,S>, EntityWriter<T,S>

    public interface EntityConverter<E extends PersistentEntity<?,P>,P extends PersistentProperty<P>,T,S>
    extends EntityReader<T,S>, EntityWriter<T,S>

Combined `EntityReader` and `EntityWriter` and add the ability to access a `MappingContext` and `ConversionService`.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`ConversionService` `getConversionService()` Returns the underlying `ConversionService` used by the converter.
`MappingContext<? extends E,P>` `getMappingContext()` Returns the underlying `MappingContext` used by the converter.

### Methods inherited from interface org.springframework.data.convert.EntityReader

`read`

### Methods inherited from interface org.springframework.data.convert.EntityWriter

`write`

### Method Detail

#### getMappingContext

    MappingContext<? extends E,P> getMappingContext()

Returns the underlying `MappingContext` used by the converter.

Returns:
  never null

#### getConversionService

    ConversionService getConversionService()

Returns the underlying `ConversionService` used by the converter.

Returns:
  never null.